#!/bin/sh

set -e

# called by uscan with '--upstream-version' <version> <file>
VERSION=$(echo $2|tr "+" "-")
DIR=jrosetta-$VERSION
TAR=../libjrosetta-java_$2.orig.tar.gz

# clean up the upstream tarball
unzip $3
rm -rf __MACOSX
tar -c -z -f $TAR $DIR
rm -rf $DIR $3

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    mv $TAR $origDir
    echo "moved $TAR to $origDir"
fi

exit 0
